ulams settings
Generated from front/cli (ulams schema)
ulams settings create
Section titled “ulams settings create”Settings create.
Kind: write. Stability: stable. MCP tool: settings_create. Scopes: settings:write.
Endpoints: POST /api/admin/settings.
| Flag | Type | Required | Description |
|---|---|---|---|
--body |
unknown | Request body (JSON) |
# Settings createulams settings create --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "body": { "description": "Request body (JSON)" } }, "additionalProperties": {}}ulams settings delete
Section titled “ulams settings delete”Destroy setting.
Kind: destructive (idempotent). Stability: stable. MCP tool: settings_delete. Scopes: settings:write.
Endpoints: DELETE /api/admin/settings/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
string | yes |
# Destroy settingulams settings delete text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": [ "string", "number" ] } }, "required": [ "id" ], "additionalProperties": {}}ulams settings get
Section titled “ulams settings get”Read one setting by group and key.
Kind: read (idempotent). Stability: stable. MCP tool: settings_get. Scopes: settings:read.
Endpoints: GET /api/admin/settings.
| Flag | Type | Required | Description |
|---|---|---|---|
--group (positional) |
string | yes | Settings group (see settings groups). |
--key (positional) |
string | yes | Setting key. |
# Company nameulams settings get global companyName --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "group": { "type": "string", "description": "Settings group (see `settings groups`)." }, "key": { "type": "string", "description": "Setting key." } }, "required": [ "group", "key" ]}ulams settings get-by-id
Section titled “ulams settings get-by-id”Get single settings.
Kind: read (idempotent). Stability: stable. MCP tool: settings_get_by_id. Scopes: settings:read.
Endpoints: GET /api/admin/settings/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
string | yes |
# Get single settingsulams settings get-by-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "string" } }, "required": [ "id" ], "additionalProperties": {}}ulams settings groups
Section titled “ulams settings groups”Get Settings unique groups.
Kind: read (idempotent). Stability: stable. MCP tool: settings_groups. Scopes: settings:read.
Endpoints: GET /api/admin/settings/groups.
# Get Settings unique groupsulams settings groups --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams settings list
Section titled “ulams settings list”Get Settings paginated.
Kind: read (idempotent). Stability: stable. MCP tool: settings_list. Scopes: settings:read.
Endpoints: GET /api/admin/settings.
| Flag | Type | Required | Description |
|---|---|---|---|
--group |
string | ||
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page |
# Get Settings paginatedulams settings list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "group": { "type": "string" }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" } }, "additionalProperties": {}}ulams settings set
Section titled “ulams settings set”Create or update a text setting by group and key.
Idempotent: creates the setting when missing, updates it when the value differs, does nothing otherwise.
Kind: write (idempotent). Stability: stable. MCP tool: settings_set. Scopes: settings:write.
Endpoints: GET /api/admin/settings, POST /api/admin/settings, PUT /api/admin/settings/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--group (positional) |
string | yes | Settings group. |
--key (positional) |
string | yes | Setting key. |
--value (positional) |
string | yes | New value. |
# Rename the companyulams settings set global companyName "Acme Academy" --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "group": { "type": "string", "description": "Settings group." }, "key": { "type": "string", "description": "Setting key." }, "value": { "type": "string", "description": "New value." } }, "required": [ "group", "key", "value" ]}ulams settings update
Section titled “ulams settings update”Update setting.
Kind: write (idempotent). Stability: stable. MCP tool: settings_update. Scopes: settings:write.
Endpoints: PUT /api/admin/settings/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
string | yes | |
--body |
unknown | Request body (JSON) |
# Update settingulams settings update text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": [ "string", "number" ] }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}